using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyDataModels.Models;
using System.ComponentModel;
using TypographyContracts.Attributes;

namespace TypographyContracts.ViewModels
{
    public class PrintedViewModel : IPrintedModel
    {
        [Column(visible: false)]
        public int Id { get; set; }
        [Column("Название изделия", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string PrintedName { get; set; } = string.Empty;
        [Column("Цена", width: 100)]
        public double Price { get; set; }
        [Column(visible: false)]
        public Dictionary<int, (IComponentModel, int)> PrintedComponents { get; set; } = new();

    }
}
